/* You can add global styles to this file, and also import other style files */
body {
  background-color: #fff;
  font-size: 1rem !important;
}

.eui-menu-item__link,
.eui-menu-item__label {
  text-transform: capitalize;
  font-weight: normal;
}

.eui-dropdown-content-wrapper {
  max-height: 15em;

  .eui-flag-icon {
    margin-right: 0.5em;
  }
}

.mat-menu-panel {
  min-height: 30px;
}

.table-wrapper {
  display: flex;
  flex-direction: column;
  overflow: auto;

  .eui-table {
    tfoot tr {
      border-bottom: none !important;

      td {
        border: none !important;
      }
    }

    thead tr th:first-child {
      white-space: nowrap;
    }
  }
}

.eui-paginator {
  flex-direction: row !important;
  margin-bottom: 0 !important;

  &__page {
    justify-content: flex-end;
    width: auto !important;

    &-navigation {
      justify-content: flex-start !important;
    }

    &-range {
      display: none !important;
    }
  }
}

.table-footer {
  display: flex;
  flex-direction: column-reverse;
}

td span {
  cursor: pointer;
}

td.cs-col-w-95 {
  width: 95%;
}

td.cs-col-w-70 {
  width: 70%;
}

td.cs-col-w-60 {
  width: 60%;
}

td.cs-col-w-50 {
  width: 50%;
}

td.cs-col-w-40 {
  width: 40%;
}
td.cs-col-w-30 {
  width: 30%;
}
td.cs-col-w-10 {
  width: 10%;
}
td.cs-col-w-20 {
  width: 20%;
}
td.cs-col-center {
  text-align: center;
}

td.cs-col-right {
  text-align: right;
}

.th-title {
  display: flex;
  align-items: center;
  height: 2em;
}
.err-message {
  color: var(--eui-c-danger);
}

.eui-table {
  &__sortable-col-content {
    display: flex !important;
  }
}

eui-autocomplete-option {
  background-color: var(--eui-c-white);
}

app-summary-page {
  width: 100% !important;
  background-image: url('assets/images/Vector.svg'); /* fallback */
  background-image: url('assets/images/Vector.svg'), linear-gradient(180deg, #f2f6fa 0%, rgba(242, 246, 250, 0) 100%);
  background-size: cover;
}
